// Utils.h: interface for the CUtils class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UTILS_H__D64BCD3F_F2E2_41F7_AD58_0F32E2D46942__INCLUDED_)
#define AFX_UTILS_H__D64BCD3F_F2E2_41F7_AD58_0F32E2D46942__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CUtils  
{
public:
	static BOOL IsPaint();
	static BOOL IsReget();
	static BOOL IsMicrosoftPowerPoint();
	static BOOL IsIllustrator();
	static BOOL IsPhotoshop();
	static BOOL IsFlash();
	static BOOL IsDreamweaver();
	static BOOL IsFireworks();
	static BOOL IsExcel();
	static BOOL IsDirector();
	static BOOL IsEggExplorer();
	static BOOL IsK2Editor();
	static BOOL IsDWFM();
	static BOOL IsDefaultIgnoreApplication();
	static BOOL IsXWin();
	static BOOL IsEmacs();
	static BOOL SetClipboardText(CString *szClipboardText);
	static BOOL GetClipboardText(CString *szClipboardText);
	static DWORD GetPlatformId();
	static BOOL IsNTor9x();
	static void InitCUtils();
	static void SetApplicationName(BOOL bImeComposition);
	static const char *const GetApplicationName();
	static BOOL IsXyzzy();
	static BOOL IsWordpad();
	static BOOL IsVisualCpp();
	static BOOL IsTeraTermPro();
	static BOOL IsSakuraEditor();
	static BOOL IsOutlookExpress();
	static BOOL IsOutlook();
	static BOOL IsOpera();
	static BOOL IsNotepad();
	static BOOL IsNetscape();
	static BOOL IsMuleForWin32();
	static BOOL IsMozilla();
	static BOOL IsMicrosoftWord();
	static BOOL IsMicrosoftFrontPage();
	static BOOL IsMeadow();
	static BOOL IsLotusWordPro();
	static BOOL IsLotusNotes();
	static BOOL IsLotus123();
	static BOOL IsInternetExplorer();
	static BOOL IsHidemaru();
	static BOOL IsExplorer();
	static BOOL IsBecky();
	static BOOL IsAstecX();
	static void CUtils::GetFindDialogTitle(CString *szDialogTitle);
	CUtils();
	virtual ~CUtils();

protected:
	static void SetIMEName();
	static OSVERSIONINFO m_OsVersionInfo;
	static char m_szIMEName[MAX_PATH];
	static char m_szApplicationName[MAX_PATH];
};

#endif // !defined(AFX_UTILS_H__D64BCD3F_F2E2_41F7_AD58_0F32E2D46942__INCLUDED_)
